/**
 * The contents of this file are subject to the license and copyright
 * detailed in the LICENSE and NOTICE files at the root of the source
 * tree and available online at
 *
 * http://www.dspace.org/license/
 */
package org.dspace.rest.diagnose;

public enum HTTPStatusCode {
	SUCCESS(200),
	CREATED(201),
	NO_CONTENT(204),
	BAD_REQUEST(400),
	UNAUTHORIZED(401),
	FORBIDDEN(403),
	NOT_FOUND(404),
	METHOD_NOT_ALLOWED(405),
	INTERNAL_SERVER_ERROR(500),
	SERVICE_UNAVAILABLE(503);
	
	private final int code;
	
	HTTPStatusCode(int code) {
		this.code = code;
	}
	
	public int getCode() {
		return code;
	}
	
}
